aboutsummaryrefslogtreecommitdiffstats
path: root/deliveries/src/main/scripts/localize_cache.sh
diff options
context:
space:
mode:
authorDR695H <dr695h@att.com>2017-02-07 13:11:03 -0500
committerDR695H <dr695h@att.com>2017-02-07 13:12:28 -0500
commit13ce0552dc7156b6e3e226c00295705f27780a40 (patch)
treea9ada50d0a86c0fdc253c188d1328f6e880bfaf5 /deliveries/src/main/scripts/localize_cache.sh
parent77b87f76ff2799bd1f5fe85552f1c5e7081eb4df (diff)
actually adding the files to the initial commit
Change-Id: I2f0c09692c2ae70be61b8bb552fd1bd2983eb661 Signed-off-by: DR695H <dr695h@att.com>
Diffstat (limited to 'deliveries/src/main/scripts/localize_cache.sh')
-rw-r--r--deliveries/src/main/scripts/localize_cache.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/deliveries/src/main/scripts/localize_cache.sh b/deliveries/src/main/scripts/localize_cache.sh
new file mode 100644
index 000000000..d25949ccc
--- /dev/null
+++ b/deliveries/src/main/scripts/localize_cache.sh
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+FINAL_CONFIG_FILE=/tmp/vid/stage/WEB-INF/classes/cache.ccf
+TEMPLATE_CONFIG_FILE=/tmp/vid/stage/WEB-INF/classes/cache_template.ccf
+
+echo "Localizing the VID cache configuration"
+
+mkdir -p "${CACHE_DIRECTORY}"
+
+sed -e 's,${CACHE_DIRECTORY},'${CACHE_DIRECTORY}',g' ${TEMPLATE_CONFIG_FILE} > ${FINAL_CONFIG_FILE} || {
+ echo "ERROR: Could not process template file ${TEMPLATE_CONFIG_FILE} into ${FINAL_CONFIG_FILE}"
+ exit 3
+ }
+
+echo "Localized ${FINAL_CONFIG_FILE} successfully."